
Core - Task # 55670

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:
Created: 2014-02-04 Assigned To: Anja Leichsenring
Updated: 2014-02-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: func entry script cleanup
Description

mod1/index.php uses init.php

Related issues:
related to Core - Task # 56364: Redirect after switch-to-user broken Resolved 2014-02-27

Associated revisions
Revision 69408211 - 2014-02-24 21:15 - Anja Leichsenring

[TASK] Switch info and func module to mod dispatcher

BE modules info and func now uses mod.php.

Changing the entry script for func and info module
will cause integrated submodules to fail in
case they use the old entry point index.php
with a relative path somewhere in funcMenu or in
other links or actions.

A compatibility layer is introduced in
typo3/index.php to catch those old
links and redirect to mod.php with proper parameters.

Change-Id: I83d31b6004ae3556dd8bf7c5c47b0fea39aaad55
Resolves: #55809
Resolves: #55672
Resolves: #55670
Releases: 6.2
Reviewed-on: https://review.typo3.org/27508
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-02-04 21:37 - Anja Leichsenring
https://review.typo3.org/27508


- Tracker changed from Bug to Task

#2 - 2014-02-06 21:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27388

#3 - 2014-02-06 21:48 - Anja Leichsenring
- % Done changed from 0 to 100
- Estimated time set to 2.00
- Remaining (hours) set to 2.0

#4 - 2014-02-06 22:16 - Anja Leichsenring

This patch introduces a breaking change for any included function wizards, in case they define own action buttons/links. The URL to call is no longer
index.php, but 

BackendUtility::getModuleUrl('web_func');

See changed file
typo3/sysext/wizard_sortpages/Classes/View/SortPagesWizardModuleFunction.php

#5 - 2014-02-06 22:17 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27388

#6 - 2014-02-07 07:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27388

#7 - 2014-02-08 18:40 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27388

#8 - 2014-02-09 13:16 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#9 - 2014-02-09 15:08 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#10 - 2014-02-09 16:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#11 - 2014-02-10 15:28 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#12 - 2014-02-10 22:07 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#13 - 2014-02-10 22:15 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#14 - 2014-02-10 23:39 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#15 - 2014-02-10 23:52 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#16 - 2014-02-11 00:34 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#17 - 2014-02-24 19:28 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27508

#18 - 2014-02-24 21:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:69408211e47283cb50ae8896101e05de42963a7a.
